Bug 1565089 - [BACKPORT-10] Implement CPU weighter filter
Summary: [BACKPORT-10] Implement CPU weighter filter
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 10.0 (Newton)
Assignee: Stephen Finucane
QA Contact: nova-maint
URL: https://blueprints.launchpad.net/nova...
Whiteboard:
Depends On: 1469073 1576882 1582406 1582409 1582412 1582413
Blocks: 1335593 1571286 1573209 1573210 1576885 1576887 1576888 1732909
TreeView+ depends on / blocked
 
Reported: 2018-04-09 11:18 UTC by Bertrand
Modified: 2020-08-05 11:20 UTC (History)
20 users (show)

Fixed In Version: openstack-nova-14.1.0-24.el7ost
Doc Type: Enhancement
Doc Text:
Feature: Add the CPUWeigher weigher for nova-scheduler. Reason: The CPUWeigher allows operators to configure a stacking or spreading policy for vCPUs. Result: Operators can enable the CPUWeigher and configure a stacking (use all vCPUs on one node first) or spreading (attempt to use a roughly equal amount of vCPUs from all hosts) policy.
Clone Of: 1469073
: 1571286 1576888 (view as bug list)
Environment:
Last Closed: 2019-01-15 11:36:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 379525 0 'None' MERGED Add CPUWeigher 2020-10-15 18:31:59 UTC
Red Hat Knowledge Base (Solution) 3109111 0 None None None 2018-04-09 11:18:58 UTC

Comment 3 Lon Hohberger 2018-12-18 11:44:39 UTC
According to our records, this should be resolved by openstack-nova-14.1.0-34.el7ost.  This build is available now.


Note You need to log in before you can comment on or make changes to this bug.